Package htsjdk.samtools.cram.compression.rans

# Class Constants

java.lang.Object
htsjdk.samtools.cram.compression.rans.Constants

public final class Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NUMBER_OF_SYMBOLS`
`static final int`
`RANS_4x8_COMPRESSED_BYTE_LENGTH`
`static final int`
`RANS_4x8_LOWER_BOUND`
`static final int`
`RANS_4x8_ORDER_BYTE_LENGTH`
`static final int`
`RANS_4x8_PREFIX_BYTE_LENGTH`
`static final int`
`RANS_4x8_RAW_BYTE_LENGTH`
`static final int`
`RANS_Nx16_LOWER_BOUND`
`static final int`
`TOTAL_FREQ`
`static final int`
`TOTAL_FREQ_SHIFT`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TOTAL_FREQ_SHIFT

public static final int TOTAL_FREQ_SHIFT

See Also:
  - Constant Field Values

### TOTAL_FREQ

public static final int TOTAL_FREQ

See Also:
  - Constant Field Values

### NUMBER_OF_SYMBOLS

public static final int NUMBER_OF_SYMBOLS

See Also:
  - Constant Field Values

### RANS_4x8_LOWER_BOUND

public static final int RANS_4x8_LOWER_BOUND

See Also:
  - Constant Field Values

### RANS_4x8_ORDER_BYTE_LENGTH

public static final int RANS_4x8_ORDER_BYTE_LENGTH

See Also:
  - Constant Field Values

### RANS_4x8_COMPRESSED_BYTE_LENGTH

public static final int RANS_4x8_COMPRESSED_BYTE_LENGTH

See Also:
  - Constant Field Values

### RANS_4x8_RAW_BYTE_LENGTH

public static final int RANS_4x8_RAW_BYTE_LENGTH

See Also:
  - Constant Field Values

### RANS_4x8_PREFIX_BYTE_LENGTH

public static final int RANS_4x8_PREFIX_BYTE_LENGTH

See Also:
  - Constant Field Values

### RANS_Nx16_LOWER_BOUND

public static final int RANS_Nx16_LOWER_BOUND

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()